From 0d74c75cec765e16ae29ba1a42e352e2ee337d1a Mon Sep 17 00:00:00 2001
From: Janne Grunau <janne-fdr@jannau.net>
Date: Apr 11 2025 08:23:14 +0000
Subject: [PATCH 1/2] Drop outdated firefox user-agent override


Upstream firefox reports a constant "x86_64" in its user-agant since a
while. Gets rid of reporting an outdated version causing issues for
installing firefox extensions.

---

diff --git a/asahi-platform-metapackage.spec b/asahi-platform-metapackage.spec
index 10dcee6..28dda00 100644
--- a/asahi-platform-metapackage.spec
+++ b/asahi-platform-metapackage.spec
@@ -3,7 +3,7 @@
 
 Name:           asahi-platform-metapackage
 Version:        0
-Release:        21%{?dist}
+Release:        22%{?dist}
 Summary:        Metapackage declaring Asahi platform dependencies
 Group:          Metapackages
 License:        MIT
@@ -14,7 +14,6 @@ BuildRequires:  systemd-rpm-macros
 Requires:       %{name}-core = %{version}-%{release}
 Requires:       (%{name}-audio = %{version}-%{release} if pipewire)
 Requires:       (%{name}-plasma = %{version}-%{release} if plasma-desktop)
-Requires:       (%{name}-firefox = %{version}-%{release} if firefox)
 Recommends:     (%{name}-flatpak = %{version}-%{release} if flatpak)
 Requires:       (%{name}-fex = %{version}-%{release} if fex-emu)
 %dnl If/when we have desktop subpackages or whatever, we can make them
@@ -52,6 +51,8 @@ Conflicts:      kernel-64k-core
 Conflicts:      kernel-64k-devel
 Conflicts:      kernel-64k-debug-core
 Conflicts:      kernel-64k-debug-devel
+%dnl drop firefox subpackage as the arch override in the UA is no longer needed
+Obsoletes:      %{name}-firefox < 22
 
 %description core
 This package declares the core dependencies for the Asahi platform.
@@ -85,17 +86,6 @@ This package declares the KDE Plasma dependencies for the Asahi platform.
 %files plasma
 %{_sysconfdir}/xdg/kcminputrc
 
-%dnl -------------------------------------------------------------------
-
-%package firefox
-Summary:        Metapackage declaring Firefox support Asahi platform dependencies
-%dnl No deps at this time, just a UA hack because YouTube is stupid
-
-%description firefox
-This package declares the Firefox dependencies for the Asahi platform.
-
-%files firefox
-%{_libdir}/firefox/defaults/pref/asahi.js
 
 %dnl -------------------------------------------------------------------
 
@@ -176,13 +166,10 @@ cat > %{buildroot}%{_sysconfdir}/xdg/kcminputrc <<EOF
 TapToClick=false
 EOF
 
-# Workaround for YouTube evil:
-# https://bugzilla.mozilla.org/show_bug.cgi?id=1869521
-mkdir -p %{buildroot}%{_libdir}/firefox/defaults/pref
-echo 'pref("general.useragent.override", "Mozilla/5.0 (X11; Linux x86_64; rv:120.0) Gecko/20100101 Firefox/120.0");' \
-    > %{buildroot}%{_libdir}/firefox/defaults/pref/asahi.js
-
 %changelog
+* Fri Apr 11 2025 Janne Grunau <janne-fdr@jannau.net> - 0-22
+- Drop outdated firefox user-agent override
+
 * Fri Mar 28 2025 Janne Grunau <janne-fdr@jannau.net> - 0-21
 - Remove gtk4 ngl workaround on Fedora 42, bugs are fixed in gtk4 4.18
 

From 6f79d52dd9b09ba6a08daefa082ab50c9d0fe9be Mon Sep 17 00:00:00 2001
From: Janne Grunau <janne-fdr@jannau.net>
Date: Apr 11 2025 08:26:24 +0000
Subject: [PATCH 2/2] Obsolete flatpak mesa extension for EOL 22.08 fdo runtime


---

diff --git a/asahi-platform-metapackage.spec b/asahi-platform-metapackage.spec
index 28dda00..9431429 100644
--- a/asahi-platform-metapackage.spec
+++ b/asahi-platform-metapackage.spec
@@ -93,7 +93,7 @@ This package declares the KDE Plasma dependencies for the Asahi platform.
 Summary:        Metapackage declaring Flatpak support Asahi platform dependencies
 # obsolete mesa-asahi-22.08-flatpak at the end of 2024. The SDK became EOL
 # at the end of August 2024.
-#Obsoletes:      mesa-asahi-22.08-flatpak < 25.0
+Obsoletes:      mesa-asahi-22.08-flatpak < 25.0
 Requires:       mesa-asahi-23.08-flatpak
 Requires:       mesa-asahi-24.08-flatpak
 
@@ -169,6 +169,7 @@ EOF
 %changelog
 * Fri Apr 11 2025 Janne Grunau <janne-fdr@jannau.net> - 0-22
 - Drop outdated firefox user-agent override
+- Obsolete flatpak mesa extension for EOL 22.08 fdo runtime
 
 * Fri Mar 28 2025 Janne Grunau <janne-fdr@jannau.net> - 0-21
 - Remove gtk4 ngl workaround on Fedora 42, bugs are fixed in gtk4 4.18

